Bug 732651 - Review Request: sshpass - Non-interactive ssh authentication utility
Summary: Review Request: sshpass - Non-interactive ssh authentication utility
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 710081
TreeView+ depends on / blocked
 
Reported: 2011-08-23 08:17 UTC by Martin Cermak
Modified: 2014-03-19 11:58 UTC (History)
4 users (show)

Fixed In Version: sshpass-1.05-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-08 07:07:51 UTC
ppisar: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Martin Cermak 2011-08-23 08:17:56 UTC
Spec URL: http://www.physics.muni.cz/~cermak/sshpass/sshpass.spec
SRPM URL: http://www.physics.muni.cz/~cermak/sshpass/sshpass-1.05-1.fc15.src.rpm
Description: 

Hello, please review this package submission for me. It will help me developing
a handy rh internal tool. This package is already included in Debian, but not
yet in Fedora. Thanks.

Sshpass is a tool for non-interactively performing password authentication with
SSH's so called "interactive keyboard password authentication". Most user
should use SSH's more secure public key authentication instead.

$ rpmlint sshpass.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint sshpass-1.05-1.fc15.src.rpm 
sshpass.src: W: invalid-url URL: http://sshpass.sourceforge.net HTTP Error 403: Forbidden
sshpass.src: W: invalid-url Source0: http://downloads.sourceforge.net/sshpass/sshpass-1.05.tar.gz <urlopen error [Errno -2] Name or service not known>
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint sshpass-1.05-1.fc15.x86_64.rpm 
sshpass.x86_64: W: invalid-url URL: http://sshpass.sourceforge.net HTTP Error 403: Forbidden
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 1 Petr Pisar 2011-08-23 09:48:06 UTC
Formal notice: Reports in Package Review component should stick on review template. I.e. spec URL, SPRM, URL, and Description. Additional text should follow after these three items.

Source tar ball is original. Ok.

TODO: Uppercase `ssh' in Summary if this tool works (or should work) with other SSH implementations providing SSH client under different name than `ssh'.

FIXME: COPYING delivers GPLv2 and main.c states GPLv2+, but AUTHORS says GPLv2 only. Correct License tag or ask upstream for clarification.

TODO: Normalize home page URL. I.e. append slash.

TODO: Correct spelling in Description. Namely leading word `Sshpass' is name of the tool and the tool, package, and even project is called `sshpass'. You can remove the beginning completely (Sshpass is a) to obey orthographic rules. Remove the abbreviated possession "'s" from "SSH's" as it can be used only to possess to life entities. The `SSH' becomes attribute automatically per English syntax rules.

TODO: Add %{?_smp_mflags} argument to `make' command to utilize parallel building, if the Makefile is not broken. (I know there is only one source file now, but it can help if upstream decides to use more source files.)

TODO: Remove useless %defattr macro in %files section as this is implicit.

FIX: Package as documentation (macro %doc) files: AUTHORS, ChangeLog, NEWS.

$ rpmlint sshpass.spec ../SRPMS/sshpass-1.05-1.fc15.src.rpm ../RPMS/x86_64/sshpass-*
sshpass-debuginfo.x86_64: W: invalid-url URL: http://sshpass.sourceforge.net HTTP Error 403: Forbidden
sshpass-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sshpass-1.05/main.c
sshpass.x86_64: W: invalid-url URL: http://sshpass.sourceforge.net HTTP Error 403: Forbidden
3 packages and 1 specfiles checked; 1 errors, 2 warnings.

TODO: Notify upstream to fix FSF address. You can link to <http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt>.

rpmlint Ok.


$ rpm -q -lv -p ../RPMS/x86_64/sshpass-1.05-1.fc15.x86_64.rpm 
-rwxr-xr-x    1 root    root                    11192 srp 23 11:35 /usr/bin/sshpass
-rw-r--r--    1 root    root                     2192 srp 23 11:35 /usr/share/man/man1/sshpass.1.gz
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/x86_64/sshpass-1.05-1.fc15.x86_64.rpm |sort
libc.so.6(GLIBC_2.2.5)(64bit)  
libc.so.6(GLIBC_2.3.4)(64bit)  
libc.so.6(GLIBC_2.4)(64bit)  
libc.so.6()(64bit)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
rtld(GNU_HASH)  

Binary requires Ok.

$ rpm -q --provides  -p ../RPMS/x86_64/sshpass-1.05-1.fc15.x86_64.rpm |sort
sshpass(x86-64) = 1.05-1.fc15
sshpass = 1.05-1.fc15

Binary provides Ok.

Binary dependencies resolvable. Ok.

Package builds in F17 (http://koji.fedoraproject.org/koji/taskinfo?taskID=3294476). Ok.

Otherwise package is in line with Fedora packaging guidelines.


Please correct all `FIX' prefixed issues, consider fixing `TODO' prefixed items and provide new spec file.

Resolution: Package NOT approved.

Comment 2 Martin Cermak 2011-08-23 11:50:11 UTC
> Formal notice: Reports in Package Review component should stick on review
> template. I.e. spec URL, SPRM, URL, and Description. Additional text should
> follow after these three items.
>
> Source tar ball is original. Ok.
>
> TODO: Uppercase `ssh' in Summary if this tool works (or should work) with 
> other SSH implementations providing SSH client under different name than
> `ssh'.

Uppercased.

>
> FIXME: COPYING delivers GPLv2 and main.c states GPLv2+, but AUTHORS says GPLv2
> only. Correct License tag or ask upstream for clarification.

Changed licence in specfile to GPLv2.

>
> TODO: Normalize home page URL. I.e. append slash.

Slash appended.

>
> TODO: Correct spelling in Description. Namely leading word `Sshpass' is 
> name of
> the tool and the tool, package, and even project is called `sshpass'. You can
> remove the beginning completely (Sshpass is a) to obey orthographic rules.

Agreed. Removed.

> Remove the abbreviated possession "'s" from "SSH's" as it can be used only to
> possess to life entities. The `SSH' becomes attribute automatically per 
> English syntax rules.

Text slightly rewritten to satisfy this.

>
> TODO: Add %{?_smp_mflags} argument to `make' command to utilize parallel
> building, if the Makefile is not broken. (I know there is only one source file
> now, but it can help if upstream decides to use more source files.)

Fixed.

>
> TODO: Remove useless %defattr macro in %files section as this is implicit.

Removed.

>
> FIX: Package as documentation (macro %doc) files: AUTHORS, ChangeLog, NEWS.

Added.

>
> $ rpmlint sshpass.spec ../SRPMS/sshpass-1.05-1.fc15.src.rpm
> ../RPMS/x86_64/sshpass-*
> sshpass-debuginfo.x86_64: W: invalid-url URL: http://sshpass.sourceforge.net
> HTTP Error 403: Forbidden
> sshpass-debuginfo.x86_64: E: incorrect-fsf-address
> /usr/src/debug/sshpass-1.05/main.c
> sshpass.x86_64: W: invalid-url URL: http://sshpass.sourceforge.net HTTP Error
> 403: Forbidden
> 3 packages and 1 specfiles checked; 1 errors, 2 warnings.
>
> TODO: Notify upstream to fix FSF address. You can link to
> <http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt>.
>
> rpmlint Ok.
>
>
> $ rpm -q -lv -p ../RPMS/x86_64/sshpass-1.05-1.fc15.x86_64.rpm
> -rwxr-xr-x    1 root    root                    11192 srp 23 11:35
> /usr/bin/sshpass
> -rw-r--r--    1 root    root                     2192 srp 23 11:35
> /usr/share/man/man1/sshpass.1.gz
> File layout and permissions are Ok.
>
> $ rpm -q --requires -p ../RPMS/x86_64/sshpass-1.05-1.fc15.x86_64.rpm |sort
> libc.so.6(GLIBC_2.2.5)(64bit)
> libc.so.6(GLIBC_2.3.4)(64bit)
> libc.so.6(GLIBC_2.4)(64bit)
> libc.so.6()(64bit)
> rpmlib(CompressedFileNames) <= 3.0.4-1
> rpmlib(FileDigests) <= 4.6.0-1
> rpmlib(PayloadFilesHavePrefix) <= 4.0-1
> rpmlib(PayloadIsXz) <= 5.2-1
> rtld(GNU_HASH)
>
> Binary requires Ok.
>
> $ rpm -q --provides  -p ../RPMS/x86_64/sshpass-1.05-1.fc15.x86_64.rpm |sort
> sshpass(x86-64) = 1.05-1.fc15
> sshpass = 1.05-1.fc15
>
> Binary provides Ok.
>
> Binary dependencies resolvable. Ok.
>
> Package builds in F17
> (http://koji.fedoraproject.org/koji/taskinfo?taskID=3294476). Ok.
>
> Otherwise package is in line with Fedora packaging guidelines.
>
>
> Please correct all `FIX' prefixed issues, consider fixing `TODO' prefixed
> items and provide new spec file.
>
> Resolution: Package NOT approved.

I belive all mentioned issues are addressed in the specfile now. Please, review again. Thanks.

Comment 3 Martin Cermak 2011-08-23 12:15:35 UTC
> >
> > FIXME: COPYING delivers GPLv2 and main.c states GPLv2+, but AUTHORS says GPLv2
> > only. Correct License tag or ask upstream for clarification.
>
> Changed licence in specfile to GPLv2.
>

Upstream notified.

Comment 4 Petr Pisar 2011-08-24 10:56:17 UTC
Spec file changes:

--- sshpass.spec	2011-08-23 10:15:26.000000000 +0200
+++ sshpass.spec.1	2011-08-23 13:44:59.000000000 +0200
@@ -2,30 +2,30 @@
 Name:       sshpass
 Version:    1.05
 Release:    1%{?dist}
-License:    GPLv2+
+License:    GPLv2
 Group:      Applications/Internet
-Url:        http://sshpass.sourceforge.net
+Url:        http://sshpass.sourceforge.net/
 Source0:    http://downloads.sourceforge.net/sshpass/sshpass-%{version}.tar.gz
 
 %description
-Sshpass is a tool for non-interactively performing password authentication with
-SSH's so called "interactive keyboard password authentication". Most user
-should use SSH's more secure public key authentication instead.
+Tool for non-interactively performing password authentication with so called
+"interactive keyboard password authentication" of SSH. Most users should use
+more secure public key authentication of SSH instead.
 
 %prep
 %setup -q
 
 %build
 %configure
-make
+make %{?_smp_mflags}
 
 %install
 make DESTDIR=%{buildroot} install
 
 %files
-%defattr(-,root,root,-)
-%{_datadir}/man/man1/sshpass.1.gz
 %{_bindir}/sshpass
+%{_datadir}/man/man1/sshpass.1.gz
+%doc AUTHORS ChangeLog NEWS
 
 %changelog
 

> > TODO: Uppercase `ssh' in Summary if this tool works (or should work) with
> > other SSH implementations providing SSH client under different name than
> > `ssh'.
> Uppercased
TODO: I cannot see the change.

> FIXME: COPYING delivers GPLv2 and main.c states GPLv2+, but AUTHORS says GPLv2
> only. Correct License tag or ask upstream for clarification.
-License:    GPLv2+
+License:    GPLv2
Ok.

> TODO: Normalize home page URL. I.e. append slash.
-Url:        http://sshpass.sourceforge.net
+Url:        http://sshpass.sourceforge.net/

> TODO: Correct spelling in Description. Namely leading word `Sshpass' is name of
> the tool and the tool, package, and even project is called `sshpass'. You can
> remove the beginning completely (Sshpass is a) to obey orthographic rules.
> Remove the abbreviated possession "'s" from "SSH's" as it can be used only to
> possess to life entities. The `SSH' becomes attribute automatically per English
> syntax rules.
 %description
-Sshpass is a tool for non-interactively performing password authentication with
-SSH's so called "interactive keyboard password authentication". Most user
-should use SSH's more secure public key authentication instead.
+Tool for non-interactively performing password authentication with so called
+"interactive keyboard password authentication" of SSH. Most users should use
+more secure public key authentication of SSH instead.
Ok.


> TODO: Add %{?_smp_mflags} argument to `make' command to utilize parallel
> building, if the Makefile is not broken. (I know there is only one source file
> now, but it can help if upstream decides to use more source files.)
-make
+make %{?_smp_mflags}
Ok.

> TODO: Remove useless %defattr macro in %files section as this is implicit.
 %files
-%defattr(-,root,root,-)
Ok.

> FIX: Package as documentation (macro %doc) files: AUTHORS, ChangeLog, NEWS.
+%doc AUTHORS ChangeLog NEWS
Ok.


TODO: You can use %{_mandir} instead of %{_datadir}/man in %files section.

$ rpmlint sshpass.spec ../SRPMS/sshpass-1.05-1.fc15.src.rpm ../RPMS/x86_64/sshpass-*
sshpass.src: W: invalid-url URL: http://sshpass.sourceforge.net/ HTTP Error 403: Forbidden
sshpass-debuginfo.x86_64: W: invalid-url URL: http://sshpass.sourceforge.net/ HTTP Error 403: Forbidden
sshpass-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sshpass-1.05/main.c
3 packages and 1 specfiles checked; 1 errors, 2 warnings.

rpmlint Ok.

$ rpm -q -lv -p  ../RPMS/x86_64/sshpass-1.05-1.fc15.x86_64.rpm -rwxr-xr-x    1 root    root                    11192 srp 24 12:50 /usr/bin/sshpass
drwxr-xr-x    2 root    root                        0 srp 24 12:50 /usr/share/doc/sshpass-1.05
-rw-r--r--    1 root    root                      700 čec 22  2010 /usr/share/doc/sshpass-1.05/AUTHORS
-rw-r--r--    1 root    root                     1455 srp  6 09:02 /usr/share/doc/sshpass-1.05/ChangeLog
-rw-r--r--    1 root    root                      213 čec 22  2010 /usr/share/doc/sshpass-1.05/NEWS
-rw-r--r--    1 root    root                     2192 srp 24 12:50 /usr/share/man/man1/sshpass.1.gz

File layout and permission Ok.

Package builds in F17 (http://koji.fedoraproject.org/koji/taskinfo?taskID=3297981). Ok.

Package is in line with Fedora packaging guidelines.


Resolution: Package APPROVED.

Comment 5 Petr Pisar 2011-08-24 11:02:04 UTC
I forgot you need to package COPYING file using %doc macro.

Package NOT approved.

Comment 6 Martin Cermak 2011-08-24 11:58:41 UTC
> > > TODO: Uppercase `ssh' in Summary if this tool works (or should work) with
> > > other SSH implementations providing SSH client under different name than
> > > `ssh'.
> > Uppercased
> TODO: I cannot see the change.

Fixed.

> I forgot you need to package COPYING file using %doc macro.
>
> Package NOT approved.

Copying file added. However rpmlint isn't fine with the original COPYING file contents: 

$ rpmlint sshpass-1.05-1.fc15.x86_64.rpm 
sshpass.x86_64: W: invalid-url URL: http://sshpass.sourceforge.net/ HTTP Error 403: Forbidden
sshpass.x86_64: E: incorrect-fsf-address /usr/share/doc/sshpass-1.05/COPYING
1 packages and 0 specfiles checked; 1 errors, 1 warnings.

Nevertheless I kept the original file and notified upstream.

Comment 7 Petr Pisar 2011-08-24 12:12:44 UTC
Spec file changes:

--- sshpass.spec	2011-08-23 13:44:59.000000000 +0200
+++ sshpass.spec.1	2011-08-24 13:50:00.000000000 +0200
@@ -1,4 +1,4 @@
-Summary:    Non-interactive ssh authentication utility
+Summary:    Non-interactive SSH authentication utility
 Name:       sshpass
 Version:    1.05
 Release:    1%{?dist}
@@ -25,7 +25,7 @@
 %files
 %{_bindir}/sshpass
 %{_datadir}/man/man1/sshpass.1.gz
-%doc AUTHORS ChangeLog NEWS
+%doc AUTHORS COPYING ChangeLog NEWS
 
 %changelog
 

> > > TODO: Uppercase `ssh' in Summary if this tool works (or should work) with
> > > other SSH implementations providing SSH client under different name than
> > > `ssh'.
> > Uppercased
> TODO: I cannot see the change.
-Summary:    Non-interactive ssh authentication utility
+Summary:    Non-interactive SSH authentication utility
Ok.

> I forgot you need to package COPYING file using %doc macro.
-%doc AUTHORS ChangeLog NEWS
+%doc AUTHORS COPYING ChangeLog NEWS
Ok.


$ rpmlint sshpass.spec ../SRPMS/sshpass-1.05-1.fc15.src.rpm ../RPMS/x86_64/sshpass-*
sshpass-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/sshpass-1.05/main.c
sshpass.x86_64: W: invalid-url URL: http://sshpass.sourceforge.net/ HTTP Error 403: Forbidden
sshpass.x86_64: E: incorrect-fsf-address /usr/share/doc/sshpass-1.05/COPYING
3 packages and 1 specfiles checked; 2 errors, 1 warnings.

rpmlint Ok.

$ rpm -q -lv -p ../RPMS/x86_64/sshpass-1.05-1.fc15.x86_64.rpm 
-rwxr-xr-x    1 root    root                    11192 srp 24 14:06 /usr/bin/sshpass
drwxr-xr-x    2 root    root                        0 srp 24 14:06 /usr/share/doc/sshpass-1.05
-rw-r--r--    1 root    root                      700 čec 22  2010 /usr/share/doc/sshpass-1.05/AUTHORS
-rw-r--r--    1 root    root                    17992 čec 22  2010 /usr/share/doc/sshpass-1.05/COPYING
-rw-r--r--    1 root    root                     1455 srp  6 09:02 /usr/share/doc/sshpass-1.05/ChangeLog
-rw-r--r--    1 root    root                      213 čec 22  2010 /usr/share/doc/sshpass-1.05/NEWS
-rw-r--r--    1 root    root                     2192 srp 24 14:06 /usr/share/man/man1/sshpass.1.gz
File permissions and layout are Ok.

Package builds in F17 (). ???

Package is in line with Fedora and Perl packaging guidelines.


Resolution: Package APPROVED.

Comment 8 Petr Pisar 2011-08-24 12:13:55 UTC
> Package builds in F17 (). ???
Package builds in F17 (http://koji.fedoraproject.org/koji/taskinfo?taskID=3298047). Ok.

Comment 9 Martin Cermak 2011-08-24 13:01:17 UTC
New Package SCM Request
=======================
Package Name: sshpass
Short Description: Non-interactive SSH authentication utility
Owners: mcermak
Branches: f14 f15 f16 f17 el5 el6
InitialCC: ppisar jwrdegoede

Comment 10 Gwyn Ciesla 2011-08-24 13:04:31 UTC
Git done (by process-git-requests).

Removed f17, f17==devel at present.

Comment 11 Fedora Update System 2011-08-29 08:56:19 UTC
sshpass-1.05-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/sshpass-1.05-1.fc16

Comment 12 Fedora Update System 2011-08-29 08:57:12 UTC
sshpass-1.05-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/sshpass-1.05-1.fc15

Comment 13 Fedora Update System 2011-08-29 08:57:57 UTC
sshpass-1.05-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/sshpass-1.05-1.fc14

Comment 14 Fedora Update System 2011-08-29 08:58:42 UTC
sshpass-1.05-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/sshpass-1.05-1.el6

Comment 15 Fedora Update System 2011-08-30 20:40:13 UTC
sshpass-1.05-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 16 Fedora Update System 2011-09-08 07:07:44 UTC
sshpass-1.05-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 17 Fedora Update System 2011-09-08 07:11:11 UTC
sshpass-1.05-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 18 Fedora Update System 2011-09-09 16:58:12 UTC
sshpass-1.05-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 19 Fedora Update System 2011-09-12 12:30:30 UTC
sshpass-1.05-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/sshpass-1.05-1.el5

Comment 20 Fedora Update System 2011-09-15 19:36:27 UTC
sshpass-1.05-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 21 Fedora Update System 2011-12-12 19:28:44 UTC
sshpass-1.05-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 22 Martin Cermak 2014-03-19 08:22:47 UTC
Package Change Request
======================
Package Name: sshpass
New Branches: epel7
Owners: mcermak


Note for myself: https://fedoraproject.org/wiki/Package_SCM_admin_requests

Comment 23 Gwyn Ciesla 2014-03-19 11:58:12 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.